EMF::EMRELLIPSE Class Reference

EMF Ellipse. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRELLIPSE:

## Public Member Functions

| EMRELLIPSE (INT left, INT top, INT right, INT bottom)
| EMRELLIPSE (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Ellipse.

Draw an ellipse. (I have no idea how the ellipse is defined!)

## Constructor & Destructor Documentation

## EMRELLIPSE() [1/2]

EMF::EMRELLIPSE::EMRELLIPSE | ( | INT | left,
|  | INT | top,
|  | INT | right,
|  | INT | bottom )

inline

Take these descriptions with a grain of salt...

Parameters

  left | x position of left extrema of ellipse.
  top | y position of top extrema of ellipse.
  right | x position of right extrema of ellipse.
  bottom | y position of bottom extrema of ellipse.

References EMRELLIPSE().

Referenced by EMRELLIPSE().

## EMRELLIPSE() [2/2]

EMF::EMRELLIPSE::EMRELLIPSE | ( | DATASTREAM & | ds | ) |

inline

Construct an Ellipse record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRELLIPSE::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRELLIPSE::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRELLIPSE::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h